/*  smplayer, GUI front-end for mplayer.
    Copyright (C) 2007 Ricardo Villalba <rvm@escomposlinux.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _CONSTANTS_H_
#define _CONSTANTS_H_


/* Menus ID */

/* Subtitles */
#define SUB_ID_NONE 90000
#define SUB_ID_LOAD 90001

/* Aspect */
#define ASPECT_AUTO 1
#define ASPECT_43 2
#define ASPECT_169 3
#define ASPECT_235 4
#define ASPECT_43_LETTERBOX 5
#define ASPECT_43_PANSCAN 6
#define ASPECT_43_TO_169 7
#define ASPECT_149 8
#define ASPECT_1610 9
#define ASPECT_54 10
#define ASPECT_169_LETTERBOX 11

/* OSD */
#define OSD_NONE 0
#define OSD_SEEK 1
#define OSD_SEEK_TIMER 2
#define OSD_SEEK_TIMER_TOTAL 3

/* Audio */
#define AUDIO_MUTE 0
#define AUDIO_VOL_INC 1
#define AUDIO_VOL_DEC 2

/* Deinterlace */
#define DEINTERLACE_NONE 0
#define DEINTERLACE_L5 1
#define DEINTERLACE_YADIF 2
#define DEINTERLACE_LB 3

/* Denoise */
#define DENOISE_NONE 0
#define DENOISE_NORMAL 1
#define DENOISE_SOFT 2

/* Video filters */
#define VIDEO_FILTER_AUTOPHASE 0
#define VIDEO_FILTER_DENOISE_SOFT 1
#define VIDEO_FILTER_DENOISE_NORMAL 2
#define VIDEO_FILTER_DEBLOCK 3
#define VIDEO_FILTER_DERING 4
#define VIDEO_FILTER_NOISE 5
#define VIDEO_FILTER_POSTPROCESSING 6

/* Audio filters */
#define AUDIO_FILTER_KARAOKE 0
#define AUDIO_FILTER_EXTRASTEREO 1

/* Audio Channels */
#define AUDIO_CHANNELS_DEFAULT 0
#define AUDIO_CHANNELS_STEREO 2
#define AUDIO_CHANNELS_SURROUND 4
#define AUDIO_CHANNELS_FULL5_1 6

/* Stereo Mode */
#define AUDIO_STEREO_STEREO 0
#define AUDIO_STEREO_LEFT 1
#define AUDIO_STEREO_RIGHT 2


/* Video Menu */
#define VIDEO_EQUALIZER 0
#define VIDEO_COMPACT_MODE 1

/* Options Menu */
#define OPTIONS_PLAYLIST 0

/* ID to know when and audio, subtitle... doesn't have a value yet */
#define NONE_SELECTED -1000

/* Resize method */
#define RESIZE_NEVER 0
#define RESIZE_ALWAYS 1
#define RESIZE_AFTERLOAD 2

/* Priority values */
#define PRIORITY_REALTIME 0
#define PRIORITY_HIGH 1
#define PRIORITY_ABOVENORMAL 2
#define PRIORITY_NORMAL 3
#define PRIORITY_BELOWNORMAL 4
#define PRIORITY_IDLE 5


/* Colorkey, which should be mplayerwindow background */
#define COLORKEY 0x020202


#define COMPANY "RVM"
#define PROGRAM "smplayer"


#if QT_VERSION >= 0x040000
#define NOFOCUS Qt::NoFocus
#define TABFOCUS Qt::TabFocus
#define STRONGFOCUS Qt::StrongFocus
#else
#define NOFOCUS QWidget::NoFocus
#define TABFOCUS QWidget::TabFocus
#define STRONGFOCUS QWidget::StrongFocus
#endif


#endif

