/*  smplayer, GUI front-end for mplayer.
    Copyright (C) 2007 Ricardo Villalba <rvm@escomposlinux.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "videoequalizer.h"
#include "eqslider.h"
#include "images.h"
#include <qlayout.h>

VideoEqualizer::VideoEqualizer( QWidget* parent, const char* name, WFlags fl)
	: QWidget(parent, name, fl)
{
	setCaption( tr("Equalizer") );
	Images * images = Images::obj();

	contrast = new EqSlider(this);
	contrast->setLabel( tr("Contrast") );
	contrast->setIcon( images->icon("contrast") );

	brightness = new EqSlider(this);
	brightness->setLabel( tr("Brightness") );
	brightness->setIcon( images->icon("brightness") );

	hue = new EqSlider(this);
	hue->setLabel( tr("Hue") );
	hue->setIcon( images->icon("hue") );

	saturation = new EqSlider(this);
	saturation->setLabel( tr("Saturation") );
	saturation->setIcon( images->icon("saturation") );

	gamma = new EqSlider(this);
	gamma->setLabel( tr("Gamma") );
	//gamma->setIcon( images->icon("gamma") );

	QBoxLayout *bl = new QHBoxLayout(this, 4, 2);
	bl->addWidget(contrast);
	bl->addWidget(brightness);
	bl->addWidget(hue);
	bl->addWidget(saturation);
	bl->addWidget(gamma);

	adjustSize();
	setFixedSize( sizeHint() );
}

VideoEqualizer::~VideoEqualizer() {
}

